Debian Bug report logs - #246061
should have an option to suppress environment variable setting

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Joshua Kwan <joshk@triplehelix.org>

Date: Tue, 27 Apr 2004 01:18:04 UTC

Severity: wishlist

Tags: fixed, patch

Found in version 1.14

Fixed in version dpkg-cross/1.21

Done: David Schleef <ds@schleef.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David Schleef <ds@schleef.org>:
Bug#246061; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Joshua Kwan <joshk@triplehelix.org>:
New Bug report received and forwarded. Copy sent to David Schleef <ds@schleef.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joshua Kwan <joshk@triplehelix.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: should have an option to suppress environment variable setting
Date: Mon, 26 Apr 2004 18:14:07 -0700
Package: dpkg-cross
Version: 1.14
Severity: normal

Hi,

I was compiling a kernel package using dpkg-cross and of course
kernel-package is wise to set stuff like the ARCH variable in the src
tree as well as CROSS_COMPILE. However, dpkg-cross (invoked as
dpkg-buildpackage -asparc) will set all sorts of fun stuff like LD and
CC that squash declarations in kernel Makefiles that extend the LD
variable (for example.)

In short, this prevented LD from being set to $(LD) -m elf64_sparc when
using dpkg-cross as the dpkg-buildpackage wrapper. Can there be an
option to suppress these environment variable settings?

Thanks
Josh

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.6-rc2-mm1
Locale: LANG=en_US.ISO-8859-1, LC_CTYPE=en_US.ISO-8859-1 (ignored: LC_ALL set to en_US.ISO-8859-1)

Versions of packages dpkg-cross depends on:
ii  dpkg-dev                      1.10.21    Package building tools for Debian
ii  perl [perl5]                  5.8.3-3    Larry Wall's Practical Extraction 

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, David Schleef <ds@schleef.org>:
Bug#246061; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Joshua Kwan <joshk@triplehelix.org>:
Extra info received and forwarded to list. Copy sent to David Schleef <ds@schleef.org>. Full text and rfc822 format available.

Message #10 received at 246061@bugs.debian.org (full text, mbox):

From: Joshua Kwan <joshk@triplehelix.org>
To: 246061@bugs.debian.org
Subject: broken patch
Date: Mon, 26 Apr 2004 18:49:12 -0700
[Message part 1 (text/plain, inline)]
Oops - broke ne_arg.diff.

This should work, the other one would mess up on NON-crosscompilation
installs this way.

-- 
Joshua Kwan
[ne_arg.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Schleef <ds@schleef.org>:
Bug#246061; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Joshua Kwan <joshk@triplehelix.org>:
Extra info received and forwarded to list. Copy sent to David Schleef <ds@schleef.org>. Full text and rfc822 format available.

Message #15 received at 246061@bugs.debian.org (full text, mbox):

From: Joshua Kwan <joshk@triplehelix.org>
To: 246061@bugs.debian.org
Cc: control@bugs.debian.org
Subject: potential patch?
Date: Mon, 26 Apr 2004 18:40:09 -0700
[Message part 1 (text/plain, inline)]
tags 246061 + patch
thanks homie

This simple patch should do the trick. ne_arg.diff goes to dpkg-cross,
ne_arg-dpkg.diff goes to dpkg itself (so it doesn't barf on -ne.)

-- 
Joshua Kwan
[ne_arg.diff (text/plain, attachment)]
[ne_arg-dpkg.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Joshua Kwan <joshk@triplehelix.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, David Schleef <ds@schleef.org>:
Bug#246061; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to "Nikita V. Youshchenko" <yoush@cs.msu.su>:
Extra info received and forwarded to list. Copy sent to David Schleef <ds@schleef.org>. Full text and rfc822 format available.

Message #22 received at 246061@bugs.debian.org (full text, mbox):

From: "Nikita V. Youshchenko" <yoush@cs.msu.su>
To: 246061@bugs.debian.org, 246061-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Re: should have an option to suppress environment variable setting
Date: Sat, 29 May 2004 16:52:48 +0400
[Message part 1 (text/plain, inline)]
severity 246061 wishlist
thanks

dpkg-buildpackage wrapper provided by dpkg-cross is intended to create 
correct environment for cross-compilation. It's a very strange idea to 
patch the wrapper to omit environment creation.

If this invironment is incorrect for some package, while being correct for 
others, probably that package is broken, not dpkg-cross?
Also remember that you can write any package-specific configuration 
into /etc/dpkg/cross-compile file.

If you believe the package in question is correct, and dpkg-cross behaviour 
is wrong, please post all technical details: which variables are set 
incorrectly, what you think are correct values, why this can't be tuned 
in /etc/dpkg/cross-compile file, etc

Regarding you patch - there are two issues with it.
1. It sets do_setup even for native compilation - which is wrong.
2. It requires modification of dpkg-buildpackage provided by dpkg-dev - 
which is hardly acceptable.

A better patch (without these issues) is attached. Still I don't think it 
should be applied.
[patch-246061 (text/x-diff, attachment)]

Severity set to `wishlist'. Request was from "Nikita V. Youshchenko" <yoush@cs.msu.su> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Joshua Kwan <joshk@triplehelix.org>:
Bug#246061. Full text and rfc822 format available.

Tags added: fixed Request was from yoush@cs.msu.su (Nikita V. Youshchenko) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Schleef <ds@schleef.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joshua Kwan <joshk@triplehelix.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 246061-close@bugs.debian.org (full text, mbox):

From: David Schleef <ds@schleef.org>
To: 246061-close@bugs.debian.org, 257627-close@bugs.debian.org, 280714-close@bugs.debian.org, 282020-close@bugs.debian.org, 283627-close@bugs.debian.org, 283804-close@bugs.debian.org
Subject: [yoush@cs.msu.su: Fixed in NMU of dpkg-cross 1.21]
Date: Thu, 6 Jan 2005 18:53:49 -0800
I managed to screw up sponsoring dpkg-cross for Nikita, so the
upload got tagged as an NMU.  So I'm manually closing the bugs.
Please refer to the changelog entry below for details.


dave...


----- Forwarded message from "Nikita V. Youshchenko" <yoush@cs.msu.su> -----

Envelope-to: ds@schleef.org
Delivery-date: Thu, 06 Jan 2005 16:08:11 -0800
From: yoush@cs.msu.su (Nikita V. Youshchenko)
To: control@bugs.debian.org
Cc: yoush@cs.msu.su (Nikita V. Youshchenko), David Schleef <ds@schleef.org>
X-Katie: $Revision: 1.54 $
Subject: Fixed in NMU of dpkg-cross 1.21
X-Spam-Checker-Version: SpamAssassin 3.0.1 (2004-10-22) on comedi.org
X-Spam-Status: No, score=-2.6 required=4.0 tests=BAYES_00 autolearn=ham 
	version=3.0.1
X-Spam-Level: 

tag 246061 + fixed
tag 257627 + fixed
tag 280714 + fixed
tag 282020 + fixed
tag 283627 + fixed
tag 283804 + fixed

quit

This message was generated automatically in response to a
non-maintainer upload.  The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  6 Jan 2005 14:18:20 +0300
Source: dpkg-cross
Binary: dpkg-cross
Architecture: source all
Version: 1.21
Distribution: unstable
Urgency: low
Maintainer: David Schleef <ds@schleef.org>
Changed-By: Nikita V. Youshchenko <yoush@cs.msu.su>
Description: 
 dpkg-cross - Tools for cross compiling Debian packages
Closes: 246061 257627 280714 282020 283627 283804
Changes: 
 dpkg-cross (1.21) unstable; urgency=low
 .
   * Become official maintainer.
   * Add support for DPKGCROSSARCH variable to pass information about
     current target between tools (using ARCH causes problems with packages
     that use it for their own).
   * Changelogs of my 'intermediate releases':
 .
     1.20.6:
 .
     * Add -uc to dpkg-buildpackage.orig call only if existing .changes file
       does not contain information for $arch.
 .
     1.20.5:
 .
     * Instead of unsetting LD_LIBRARY_PATH, just clean it of paths that don't
       start with /usr/lib or /usr/share. This should avoid fakeroot breakage.
 .
     1.20.4:
 .
     * Implemented 'unset' feature for configuration file (Closes: #246061).
     * Unset LD for e2fsprogs in default /etc/dpkg/cross-compile.
 .
     1.20.3:
 .
     * When running external tools which output is parsed, set LC_ALL=C.
       Closes: #283804.
     * Remove usused sub getsoname from dpkg-shlibdeps.
 .
     1.20.2:
 .
     * Unset LD_LIBRARY_PATH in strip and dpkg-shlibdeps.
       It is not needed, and could result into attempts to link non-native
       libraries into tools that are called.
     * In tool detection code, use 'file -L' to dereference symlinks.
     * Handle strip options with parameters in strip wrapper.
     * Don't try to call objdump on non-binaries in dpkg-shlibdeps.
     * Don't set STRIP variable to $(TARGET)-strip, we have strip wrapper now.
     * Remove example setting STRIP in default /etc/dpkg/cross-compile,
       because the example is no longer valid with strip wrapper.
     * Above items fix all 282020 issues. Closes: #282020.
     * Don't set cross names for 'ar' and 'ranlib' because these tools are
       actially architecture-independent, and additional vars break some builds.
       Closes: #283627.
 .
     1.20.1:
 .
     * Applied patch from NIIBE Yutaka <gniibe@fsij.org> that adds support
       for m32r architecture (Closes: 280714).
     * Call dpkg-buildpackage.orig with -uc if .changes file merge is going to
       happen after package build (Closes: 257627).
Files: 
 b82a49e0a5ec71a3627951420df5de7a 521 utils extra dpkg-cross_1.21.dsc
 ea8c7337ca9dcb254f6a0303f408b2a1 61823 utils extra dpkg-cross_1.21.tar.gz
 16d0186add0c8c97b9ab69e99a1da361 60398 utils extra dpkg-cross_1.21_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFB3dEJ2vJMr9bVSaoRAlo+AKCgkN0tnsmi5zua3cvopkZ+tz1rMACgntTD
In6snQCGOJpalSAfR7cY01A=
=QYbd
-----END PGP SIGNATURE-----

----- End forwarded message -----



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:21:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.